#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./show_user.pm <username> <password> <id> [apiurl [apihost [email]]]";
}
my ($username, $password, $id, $apiurl, $apihost, $email) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
			     password=>$password,
			     apiurl=>$apiurl,
			     apihost=>$apihost,
			     apirealm=>"Shovel API");
my $result = $twit->show_user({id=>$id,
                               email=>$email});
print Dumper($result);
